Page MenuHomeMiraheze

Create way to configure MediaWiki around CreateWiki
Closed, ResolvedPublic

Description

We do a lot of powerful things currently in CreateWiki/ManageWiki but we want to do more, perhaps in a way to minimise necessary config and minimise the complexity of setting up the extensions in certain environments.

One of the ideas is to locally get rid of LocalExtensions so extension enabling comes to one necessary change to ManageWikiExtensions.php only.

Event Timeline

John triaged this task as Low priority.Jun 11 2019, 18:31
John created this task.
Paladox added a subscriber: Paladox.Jun 11 2019, 20:21
John added a comment.Apr 3 2020, 23:26

I've spent quite a few days on this task recently - and I came up with a new caching backend that would be required to do this (I say required, it would essentially be "the" implementation).

I've done some backend response time testing and the results are below:

I used Special:Version on test2wiki as it is the most expensive PHP function page that I felt was a fairly accurate representation of a "dynamic and heavy" page.

TestMean Response (ms)Fastest Response (ms)Slowest Response (ms)Range (ms)Standard Deviation (ms)
Old System2526.51156551043541415.2
New System1032.8936113219657.3

So the new caching backend seems to provide more consistent response times and on average makes the backend response happen around 1493.7ms faster (~ 1.5 seconds!). This represents roughly a 59% performance increase.

John added a comment.Apr 6 2020, 16:49

I'll redo the above analysis across two wikis later on a mw server under normal load conditions. My intention is to deploy this is on a single server tonight, monitor it and deploy it out across the cluster if no issues are noticed in logs or visually.

John closed this task as Resolved.Apr 7 2020, 02:45